# Uses of Class
org.springframework.aot.hint.ProxyHints

Packages that use ProxyHints
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of ProxyHints in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return ProxyHints
Modifier and Type
Method
Description
`ProxyHints`
RuntimeHints.`proxies()`
Provide access to proxy-based hints.
`ProxyHints`
ProxyHints.`registerJdkProxy(Class<?>... proxiedInterfaces)`
Register that a JDK proxy implementing the specified interfaces is required.
`ProxyHints`
ProxyHints.`registerJdkProxy(Consumer<JdkProxyHint.Builder> jdkProxyHint)`
Register a `JdkProxyHint`.
`ProxyHints`
ProxyHints.`registerJdkProxy(TypeReference... proxiedInterfaces)`
Register that a JDK proxy implementing the interfaces defined by the specified type references is required.